Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

create a new text style with entities

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
marcelogarcia3251
318 Views, 3 Replies

create a new text style with entities

Good night would create a new text style by entmake
so far did it

 

(defun c:ntext()
(entmake (list
                    (cons 0 "style")
                    (cons 100 "AcDbSymbolTableRecord")
                    (cons 100 "AcDbTextStyleTableRecord")
                    (cons 2 "novo_texto")
                    (cons 40 0.5)
                    (cons 41 1)

)
)
)

but is not working, someone could help me.

3 REPLIES 3
Message 2 of 4
hmsilva
in reply to: marcelogarcia3251

Hi Marcelo,

 

try

(entmake (list
             (cons 0 "style")
             (cons 100 "AcDbSymbolTableRecord")
             (cons 100 "AcDbTextStyleTableRecord")
             (cons 2 "novo_texto")
;; Standard flag values (bit-coded values):
;; 0 = Normal text
;; 1 = If set, this entry describes a shape
;; 4 = Vertical text
;; 16 = If set, table entry is externally dependent on an xref
             '(70 . 0) 
             (cons 40 0.5)
             (cons 41 1.0)
;; your font file
             (cons 3 "C:\\Windows\\Fonts\\arial.ttf")
           )
  )

 

Henrique

EESignature

Message 3 of 4
marcelogarcia3251
in reply to: hmsilva

thank you not know how much helped me

Message 4 of 4
hmsilva
in reply to: marcelogarcia3251

You're welcome, Marcelo
Glad I could help

Henrique

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost